QuantLib: YoYInflationFloor Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
YoYInflationFloor Class Reference
Financial instruments

Concrete YoY Inflation floor class. More...

`#include <ql/instruments/inflationcapfloor.hpp>`

Inheritance diagram for YoYInflationFloor:
[legend]

## Public Member Functions
| YoYInflationFloor (const Leg &yoyLeg, const std::vector< Rate > &exerciseRates)
Public Member Functions inherited from YoYInflationCapFloor
| YoYInflationCapFloor (Type type, const Leg &yoyLeg, const std::vector< Rate > &capRates, const std::vector< Rate > &floorRates)
| YoYInflationCapFloor (Type type, const Leg &yoyLeg, const std::vector< Rate > &strikes)
virtual Rate | atmRate (const YieldTermStructure &discountCurve) const
virtual Volatility | impliedVolatility (Real price, const Handle< YoYInflationTermStructure > &yoyCurve, Volatility guess, Real accuracy=1.0e-4, Natural maxEvaluations=100, Volatility minVol=1.0e-7, Volatility maxVol=4.0) const
| implied term volatility
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
void | setupArguments (PricingEngine::arguments *) const
Type | type () const
const std::vector< Rate > & | capRates () const
const std::vector< Rate > & | floorRates () const
const Leg & | yoyLeg () const
Date | startDate () const
Date | maturityDate () const
boost::shared_ptr< YoYInflationCoupon > | lastYoYInflationCoupon () const
boost::shared_ptr< YoYInflationCapFloor > | optionlet (const Size n) const
| Returns the n-th optionlet as a cap/floor with only one cash flow.
Public Member Functions inherited from Instrument
virtual void | fetchResults (const PricingEngine::results *) const
Real | NPV () const
| returns the net present value of the instrument.
Real | errorEstimate () const
| returns the error estimate on the NPV when available.
const Date & | valuationDate () const
| returns the date the net present value refers to.
template<typename T >
T | result (const std::string &tag) const
| returns any additional result returned by the pricing engine.
const std::map< std::string, boost::any > & | additionalResults () const
| returns all additional result returned by the pricing engine.
void | setPricingEngine (const boost::shared_ptr< PricingEngine > &)
| set the pricing engine to be used. More...
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members
Public Types inherited from YoYInflationCapFloor
enum | Type { Cap, Floor, Collar }
Protected Member Functions inherited from Instrument
void | calculate () const
virtual void | setupExpired () const
virtual void | performCalculations () const
Protected Member Functions inherited from LazyObject
Protected Attributes inherited from Instrument
boost::shared_ptr< PricingEngine > | engine_
Real | NPV_
Real | errorEstimate_
Date | valuationDate_
std::map< std::string, boost::any > | additionalResults_
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_

## Detailed Description

Concrete YoY Inflation floor class.